## pinball 0.3.1

=== debian/changelog ===
pinball (0.3.1-13.1ubuntu1) trusty; urgency=low

  * Build depend on libtiff-dev, instead of libtiff4-dev.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Thu, 05 Dec 2013 22:55:27 +0000

pinball (0.3.1-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing C++ headers to fix FTBFS. Closes: #624953, #640726.
  * Empty dependency_libs field in la files. Closes: #633208.

 -- Regis Boudin <regis@debian.org>  Thu, 22 Sep 2011 21:16:50 +0100

pinball (0.3.1-13) unstable; urgency=low

  * Depend on virtual libstdc++-dev in addition to libstdc++6-4.4-dev
    rather on a fixed version. Closes: #581606.
  * Delete /var/games/pinball on purge
  * Bump Standards-Version to 3.8.4

 -- Jochen Friedrich <jochen@scram.de>  Mon, 17 May 2010 18:24:37 +0200

pinball (0.3.1-12) unstable; urgency=low

  * Refresh patch 05_system_ltdl.patch. Some autobuilders didn't like
    it for some unknown reason.
  * Remove build dependency on quilt.

 -- Jochen Friedrich <jochen@scram.de>  Thu, 14 Jan 2010 17:42:16 +0100

pinball (0.3.1-11) unstable; urgency=low

  * Replace macro AC_LIBLTDL_CONVENIENCE with LTDL_INIT. This will make
    pinball link against the system libltdl instead of the private one.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Jochen Friedrich <jochen@scram.de>  Thu, 07 Jan 2010 16:56:37 +0100

pinball (0.3.1-10) unstable; urgency=low

  * Build-depend on libltdl-dev (>= 2.2.6b) as earlier versions were 
    vulnerable to a priviledge escalation. (Closes: #559825)
    Fixes priviledge escalation vulnerability CVE-2009-3736.

 -- Jochen Friedrich <jochen@scram.de>  Thu, 10 Dec 2009 18:57:19 +0100

pinball (0.3.1-9) unstable; urgency=low

  * Fix .desktop file (Closes: #549643). Thanks to Pino Toscano
    <pino@kde.org> for the patch.
  * Fix eglibc 2.10 build (Closes: #549984). Thanks to Ilya Barygin
    <baryin@gmail.com> for the patch.
  * Add README.source for quilt patch management.

 -- Jochen Friedrich <jochen@scram.de>  Tue, 13 Oct 2009 18:41:23 +0200

pinball (0.3.1-8) unstable; urgency=low

  * Bump Standards-Version to 3.8.3
  * Replace glut with freeglut (Closes: #543701)
  * Correct license to be GPL-2
  * Switch to debhelper 7
  * Use current autotools instead of shipped versions (Closes: #401852, 
    #401853)
  * Fix depends for non-Linux platforms (Closes: #451113)

 -- Jochen Friedrich <jochen@scram.de>  Wed, 02 Sep 2009 14:11:01 +0200

pinball (0.3.1-7) unstable; urgency=low

  * Acknowledge NMU from Matthias Klose <doko@debian.org>.
  * Fix menu entry (Closes: #386409)
  * Update watch file for new sourceforge support.

 -- Jochen Friedrich <jochen@scram.de>  Wed, 23 Nov 2006 12:30:53 +0100

pinball (0.3.1-6.1) unstable; urgency=high

  * NMU.
  * pinball-dev: Fix libstdc++-dev dependency.

 -- Matthias Klose <doko@debian.org>  Mon,  4 Sep 2006 02:20:07 +0200

pinball (0.3.1-6) unstable; urgency=high

  * Avoid loading levels and compiled plugins from user-controllable
    locations. Patch from Steve Kemp (skx@debian.org)
    [CVE-2006-2196]
  * Bump Standards-Version to 3.7.2 (No changes)
  * Changing depends on data to allow binary NMUs (Closes: #373141)
  * Removing libasound2-dev dependency for FreeBSD (Closes: #327688)
  * Updated auto* and libtool (Closes: #342261)
  * Updated watch file.

 -- Jochen Friedrich <jochen@scram.de>  Fri, 16 Jun 2006 14:14:07 +0200

pinball (0.3.1-5) unstable; urgency=low

  * Fix CXX transition (Closes: #334167)
    Thanks to Frank Lichtenheld <djpig@debian.org>.

 -- Jochen Friedrich <jochen@scram.de>  Wed, 19 Oct 2005 14:54:10 +0200

pinball (0.3.1-4) unstable; urgency=low

  * aalib1 -> libaa1 transition (Closes: #320878)
  * Install menu icon properly (Closes: #275636)
    Thanks to Mark Purcell <msp@debian.org> for the patch.
  * Bumped standards version to 3.6.2.

 -- Jochen Friedrich <jochen@scram.de>  Tue,  2 Aug 2005 18:58:45 +0200

pinball (0.3.1-3) unstable; urgency=low

  * Add "libtiff4-dev" to build dependencies to force recompile
    against 3.6.1 with changed API.
  * Included watch file.

 -- Jochen Friedrich <jochen@scram.de>  Fri, 30 Jul 2004 20:17:35 +0200

pinball (0.3.1-2) unstable; urgency=low

  * Add "aalib1-dev" and "libasound2-dev" to the build dependencies
    Thanks to Helge Kreutzmann for testing this and pointing me
    to #240120 (Closes: #239696)

 -- Jochen Friedrich <jochen@scram.de>  Sun,  4 Apr 2004 19:44:27 +0200

pinball (0.3.1-1) unstable; urgency=low

  * New upstream release
    (Closes: #150140, #180957, #230733, #149858)
  * New maintainer (Closes: #236233)
  * Cleaned up debian dir (Closes: #230732)
  * Fixed build dependencies (Closes: #180957)
  * Acknowledge NMUs (Closes: #230741, #175896, #172599, #230053)
    (Also closes: #210505, #212219)

 -- Jochen Friedrich <jochen@scram.de>  Fri, 26 Mar 2004 00:37:42 +0100

pinball (0.3.1-0.2) unstable; urgency=low

  * Non-maintainer upload (sponsored upload of 0.3.1-0.1 with changes)
  * Add xlibmesa-gl-dev as preferred alternative for libgl-dev
  * Lintian stuff:
    - Quote strings in debian/pinball.menu
    - Bump debhelper build-dependency to 4.0.0 to match debian/compat
  * Remove config.log in clean target

 -- Matt Zimmerman <mdz@debian.org>  Fri, 12 Mar 2004 18:50:15 -0800

pinball (0.3.1-0.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * New upstream version (Closes: #172599) which starts on alpha
    (Closes: #230053) and fixes menu display (Closes: #212219).
  * Now includes man page (Closes: #230741).
  * Recompiled with gcc 3.3 (Closes: #210505).
  * Removed "The" and "." in short description to make linda/lintian happy.
  * There are now two tables/levels. Updated the description.
  * Support noopt for DEB_BUILD_OPTIONS and make "-g" the default.
  * Compile with -mieee on alpha, so it now runs on this platform as well.
    This Closes: #175896.
  * Create highscore-directories in /var/games/pinball; this does not work
    yet, unfortunately.
  * Removed the .ex-files in the debian/-directory, Closes: FIXME.

