=== debian/watch ===
version=3
http://sf.net/pinball/pinball-([\d+\.]+|\d+)\.tar\.gz
