## pinball 0.3.20201218

=== debian/changelog ===
pinball (0.3.20201218-4) unstable; urgency=medium

  * Team upload
  * Mark autopkgtest as superficial

 -- Yadd <yadd@debian.org>  Mon, 29 Mar 2021 00:13:55 +0200

pinball (0.3.20201218-3) unstable; urgency=medium

  * Pick 0.3.20201218-2 changes on 0.3.20201218-1 base
  * d/control: Drop C++ dep
  * d/control: Set team maintenance
  * d/tests: Add help test (Closes: #985488)

 -- Philippe Coval <rzr@users.sf.net>  Sat, 20 Mar 2021 22:33:28 +0100

pinball (0.3.20201218-2) unstable; urgency=medium

  * d/control: Update preferred libstdc++ version (Closes: #985440)
  * d/control: Update standards to latest

 -- Philippe Coval <rzr@users.sf.net>  Thu, 18 Mar 2021 12:06:12 +0100

pinball (0.3.20201218-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Adopt package (Closes: #922911)
    - debian: Drop applied patches
    - debian/clean: Remove objects
    - debian/clean: Clean generated files
    - debian: Clean more files
    - debian/copyright: List appdata copyright
    - debian: Support gbp
    - debian/control: Lint before upgrade
    - debian/control: Remove non used libs
    - debian/rules: use boostrap
    - debian/control: Add pkg-config as dep
    - debian/control: Drop libaa1-dev
    - debian: Drop libtiff from deps
    - debian: Prefer jpeg turbo
    - debian: Clean README link
    - debian/control: Suggests related packages
    - debian: Add debian/upstream/metadata
    - debian: Fix manual typos
    - debian/copyright: Update upstream contact
    - debian/control: Lint file
    - debian/control: Update URL
    - debian/control: Install libtool
    - debian/upstream/metadata: Update code URL
    - debian/copyright: Lint file
  * Revert "debian: Add snapshot subpackage"
  * debian/changelog: Adopt package for latest release (Closes: #922911)
  * debian: Bump standards to current
  * debian/watch: Update watch file version
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * debian/changelog: Fix day-of-week for changelog entry 0.3.1-7.
  * debian/control: Fix maybe-not-arch-all-binnmuable lintian warning
  * debian: Fix Repository URL

 -- Philippe Coval <rzr@users.sf.net>  Fri, 18 Dec 2020 22:43:37 +0100

pinball (0.3.1-14.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the Makefile dependencies. (Closes: #908953)

 -- Adrian Bunk <bunk@debian.org>  Thu, 27 Sep 2018 21:17:18 +0300

pinball (0.3.1-14) unstable; urgency=medium

  * New Maintainer (Closes: #891762).
  * Update Standards-Version.
  * Set Rules-Requires-Root: binary-targets.
  * Added homepage field on debian/control.
  * Added description on some patch files.
  * Fix spelling error in patch description on 06_missing_cstddef.patch file.
  * Removed patch file not-mentioned in series: replace-sp-with-opensp.patch.
  * Added hardering flags on debian/rules.
  * Removed and rewrite 03_desktop.patch file.
  * Removed pinball.menu file.
  * Added secure URI on debian/watch.
  * Completed rewrite debian/copyright file.
  * Changed negated list of architectures by dpkg architecture wildcards.
    Thanks to Robert Millan (Closes: #634705).
  * Adds OpenGL constraint on debian/control. Thanks to Yann Dirson
    (Closes: #150082).
  * Added support to 1920x1200 screen with a patch (Closes: #555251).
  * Added random table loading function: thanks to joblack (Closes: ##555256).
  * Cancel the closing of the program with the insert key (Closes: #450763).
  * Fix error on configuring of keys (Closes: #858627).
  * Added one new patch to activate left Alt
    key to close program (Closes: #442809).
  * Changed the storage directory of the high scores.
  * Added one new patch to add author name on
    upstream AUTHORS file (it was empty).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 03 Mar 2018 18:55:03 +0100

pinball (0.3.1-13.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Change build dependency from obsolete sp to newer opensp.

 -- Neil Roeth <neil@debian.org>  Sat, 10 Sep 2016 22:32:11 -0400

pinball (0.3.1-13.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not remove executable bit from /usr/lib/$DEB_HOST_MULTIARCH/pinball
    directory. Thanks to Helga Schlossmacher for the report. (Closes: #818736)

 -- Markus Koschany <apo@debian.org>  Sun, 20 Mar 2016 15:10:37 +0100

pinball (0.3.1-13.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Use compat level 9 and require debhelper >= 9 because the syntax for
    override_dh_fixperms-arch is only valid since compat level 9.
  * Install libraries into multiarch directories.

 -- Markus Koschany <apo@debian.org>  Mon, 14 Mar 2016 13:32:00 +0100

pinball (0.3.1-13.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove depcomp in dh_auto_configure override and prevent the FTBFS.
    Thanks to Tobias Frost for the report. (Closes: #816108)
  * Use dh_fixperms override for arch-only and fix building with
    dpkg-buildflag -A.
    Thanks to Santiago Vila for the report. (Closes: #806093)

 -- Markus Koschany <apo@debian.org>  Sun, 13 Mar 2016 23:34:47 +0100

pinball (0.3.1-13.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtiff-dev instead of libtiff4-dev because the latter is
    going to disappear soon. (Closes: #736039)
  * Add missing-separators.patch.
    - Replace spaces with TABS in Makefiles and thus fix a FTBFS with newer
      versions of GNU Make which are less fault tolerant. Thanks to Michael
      Tautschnig for the report. (Closes: #750082)

 -- Markus Koschany <apo@gambaru.de>  Sat, 23 Aug 2014 14:16:37 +0200
