=== debian/control ===
Source: pinball
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Philippe Coval <rzr@users.sf.net>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libgl1-mesa-dev,
               libjpeg62-turbo-dev | libjpeg-dev,
               libpng-dev,
               libsdl1.2-dev,
               freeglut3-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               libogg-dev,
               libvorbis-dev,
               opensp,
               sgmlspl,
               docbook,
               docbook-utils,
               libasound2-dev [linux-any],
               autoconf,
               automake,
               libtool-bin,
               libltdl-dev,
               pkg-config
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/games-team/pinball/-/tree/debian/master
Vcs-Git: https://salsa.debian.org/games-team/pinball.git
Homepage: https://sourceforge.net/projects/pinball/
Rules-Requires-Root: binary-targets

Package: pinball
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pinball-data (>= ${source:Version})
Suggests: pinball-table-gnu,
          pinball-table-hurd,
          alsa-utils,
          xinit
Description: Emilia Pinball Emulator
 The Emilia Pinball Project is a pinball simulator for GNU/Linux and other Unix
 systems. There are only two levels to play with, but they are very addictive.
 .
 You can play with two types of boards and keep high scores.
 .
 Works with OpenGL and needs hardware acceleration. See requeriments
 on README file.

Package: pinball-dev
Architecture: any
Depends: ${misc:Depends},
         libc6-dev,
         pinball (= ${binary:Version})
Description: Development files for the Emilia Pinball Emulator
 The Emilia Pinball Project is a pinball simulator for Linux and other Unix
 systems. There are only two levels to play with, but they are very addictive.
 .
 This package contains header files and configuration for creating new levels.

Package: pinball-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Data files for the Emilia Pinball Emulator
 The Emilia Pinball Project is a pinball simulator for Linux and other Unix
 systems. There are only two levels to play with, but they are very addictive.
 .
 This package contains various data files used by the pinball emulator.
