## pinball 0.3.20230219

=== debian/changelog ===
pinball (0.3.20230219-3) unstable; urgency=medium

  * Team upload
  * Fix Vcs tags
  * Reformat d/control with debputy
  * Trim d/rules
  * Compatibility with Policy 4.7.2: only install pinball-config once
    Closes: #1098495

  [ Patrice Duroux ]
  * README was renamed README.md (Closes: #986073)
  * Also added FAQ.md

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Mar 2025 13:54:53 +0100

pinball (0.3.20230219-2) unstable; urgency=medium

  * Team upload
  * Build-Depend on unversioned libjpeg-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Dec 2024 07:53:23 -0500

pinball (0.3.20230219-1) unstable; urgency=medium

  * New upstream release (Closes: #913276)
    - debian/control: Use sdl2
    - debian: Align Pinned subpackages
  * d/t/smoke: Run --help for smoke test
  * d/control: Bump Standards
  * d/control: Build on non obsolete gl
  * d/control: Update Vcs-Git's branch
  * d/rules: Avoid to install unused Test plugin
  * d/pinball-dev.links: Link pinball-config to default PATH

 -- Philippe Coval <rzr@users.sf.net>  Sat, 04 Mar 2023 15:47:46 +0100
