=== debian/control ===
Source: pinball
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Philippe Coval <rzr@users.sf.net>,
Section: games
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 docbook,
 docbook-utils,
 libasound2-dev [linux-any],
 libgl-dev,
 libjpeg-dev,
 libltdl-dev,
 libogg-dev,
 libpng-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libtool-bin,
 libvorbis-dev,
 opensp,
 pkgconf,
 sgmlspl,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/games-team/pinball
Vcs-Git: https://salsa.debian.org/games-team/pinball.git
Homepage: https://sourceforge.net/projects/pinball/
Rules-Requires-Root: binary-targets
X-Style: black

Package: pinball
Architecture: any
Depends:
 pinball-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 alsa-utils,
 pinball-table-gnu,
 pinball-table-hurd,
 xinit,
Description: Emilia Pinball Emulator
 The Emilia Pinball Project is a pinball simulator for GNU/Linux and other Unix
 systems. There are only two levels to play with, but they are very addictive.
 .
 You can play with two types of boards and keep high scores.
 .
 Works with OpenGL and needs hardware acceleration. See requeriments
 on README file.

Package: pinball-dev
Architecture: any
Depends:
 libc6-dev,
 pinball (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for the Emilia Pinball Emulator
 The Emilia Pinball Project is a pinball simulator for Linux and other Unix
 systems. There are only two levels to play with, but they are very addictive.
 .
 This package contains header files and configuration for creating new levels.

Package: pinball-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Data files for the Emilia Pinball Emulator
 The Emilia Pinball Project is a pinball simulator for Linux and other Unix
 systems. There are only two levels to play with, but they are very addictive.
 .
 This package contains various data files used by the pinball emulator.
