=== debian/rules ===
--- 
+++ 
@@ -18,38 +18,34 @@
 %:
 	dh $@
 
-.PHONY: clean
-clean:
-	dh clean
+execute_after_dh_clean:
 	rm -rf libltdl
 
-.PHONY: override_dh_auto_configure
 override_dh_auto_configure: bootstrap
 	${<D}/${<F}
 	dh_auto_configure -- --bindir=/usr/games --datadir=/usr/share/games --with-cflags="$(CFLAGS)" --with-cxxflags="$(CXXFLAGS)"
 
-.PHONY: override_dh_autoreconf
 override_dh_autoreconf: bootstrap
 	dh_autoreconf ${<D}/${<F}
 
-.PHONY: override_dh_install
 override_dh_install:
 	rm -rf ${CURDIR}/debian/tmp/var/games/pinball/*/highscores
 	rm -rf ${CURDIR}/debian/tmp/usr/lib/*/pinball/libModule*.so
 	rm -rf ${CURDIR}/debian/tmp/usr/lib/*/pinball/libModule*.a
+	rm -rf ${CURDIR}/debian/tmp/usr/lib/*/pinball/libModuleTest*
 	sed -i "/dependency_libs/s/'.*'/''/" $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pinball/*.la
 	install -d $(CURDIR)/debian/tmp/usr/share/applications
 	install -d $(CURDIR)/debian/tmp/usr/share/pixmaps
+	install -d $(CURDIR)/debian/tmp/usr/bin
+	mv $(CURDIR)/debian/tmp/usr/games/pinball-config $(CURDIR)/debian/tmp/usr/bin
 	install -m 644 pinball.desktop $(CURDIR)/debian/tmp/usr/share/applications
 	install -m 644 data/pinball.xpm $(CURDIR)/debian/tmp/usr/share/pixmaps
 	onsgmls debian/pinball.sgml | sgmlspl sgmlspl-specs/docbook2man-spec.pl
 	dh_install
 
-.PHONY: override_dh_fixperms-arch
 override_dh_fixperms-arch:
 	dh_fixperms
 	chown root:games debian/pinball/usr/games/pinball
 	chmod 2755 debian/pinball/usr/games/pinball
 
-.PHONY: override_dh_makeshlibs
 override_dh_makeshlibs:
