=== debian/tests/control ===
Tests:
 smoke,
Depends:
 @,
Restrictions:
 allow-stderr,
 superficial,
